Upstream information

CVE-2019-13602 at MITRE

Description

An Integer Underflow in MP4_EIA608_Convert() in modules/demux/mp4/mp4.c in VideoLAN VLC media player through 3.0.7.1 allows remote attackers to cause a denial of service (heap-based buffer overflow and crash) or possibly have unspecified other impact via a crafted .mp4 file.

SUSE information

Overall state of this security issue: Does not affect SUSE products

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.8 7.8
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Access Vector Network Local
Access Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1141522 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Package Hub for SUSE Linux Enterprise 15 SP1
  • libvlc5 >= 3.0.9.2-bp151.5.6.1
  • libvlccore9 >= 3.0.9.2-bp151.5.6.1
  • vlc >= 3.0.9.2-bp151.5.6.1
  • vlc-codec-gstreamer >= 3.0.9.2-bp151.5.6.1
  • vlc-devel >= 3.0.9.2-bp151.5.6.1
  • vlc-jack >= 3.0.9.2-bp151.5.6.1
  • vlc-lang >= 3.0.9.2-bp151.5.6.1
  • vlc-noX >= 3.0.9.2-bp151.5.6.1
  • vlc-opencv >= 3.0.9.2-bp151.5.6.1
  • vlc-qt >= 3.0.9.2-bp151.5.6.1
  • vlc-vdpau >= 3.0.9.2-bp151.5.6.1
Patchnames:
openSUSE-2019-1897
openSUSE-2020-562
SUSE Package Hub for SUSE Linux Enterprise 15
  • aom-tools >= 1.0.0-bp150.2.1
  • aom-tools-debuginfo >= 1.0.0-bp150.2.1
  • libaom >= 1.0.0-bp150.2.1
  • libaom-debugsource >= 1.0.0-bp150.2.1
  • libaom-devel >= 1.0.0-bp150.2.1
  • libaom-devel-doc >= 1.0.0-bp150.2.1
  • libaom0 >= 1.0.0-bp150.2.1
  • libaom0-64bit >= 1.0.0-bp150.2.1
  • libaom0-64bit-debuginfo >= 1.0.0-bp150.2.1
  • libaom0-debuginfo >= 1.0.0-bp150.2.1
  • libvlc5 >= 3.0.7.1-bp150.2.6.1
  • libvlccore9 >= 3.0.7.1-bp150.2.6.1
  • vlc >= 3.0.7.1-bp150.2.6.1
  • vlc-codec-gstreamer >= 3.0.7.1-bp150.2.6.1
  • vlc-devel >= 3.0.7.1-bp150.2.6.1
  • vlc-jack >= 3.0.7.1-bp150.2.6.1
  • vlc-lang >= 3.0.7.1-bp150.2.6.1
  • vlc-noX >= 3.0.7.1-bp150.2.6.1
  • vlc-qt >= 3.0.7.1-bp150.2.6.1
  • vlc-vdpau >= 3.0.7.1-bp150.2.6.1
Patchnames:
openSUSE-2019-2015
openSUSE Leap 15.0
  • aom-tools >= 1.0.0-lp150.2.1
  • aom-tools-debuginfo >= 1.0.0-lp150.2.1
  • libaom >= 1.0.0-lp150.2.1
  • libaom-debugsource >= 1.0.0-lp150.2.1
  • libaom-devel >= 1.0.0-lp150.2.1
  • libaom-devel-doc >= 1.0.0-lp150.2.1
  • libaom0 >= 1.0.0-lp150.2.1
  • libaom0-debuginfo >= 1.0.0-lp150.2.1
  • libvlc5 >= 3.0.7.1-lp150.8.1
  • libvlc5-debuginfo >= 3.0.7.1-lp150.8.1
  • libvlccore9 >= 3.0.7.1-lp150.8.1
  • libvlccore9-debuginfo >= 3.0.7.1-lp150.8.1
  • vlc >= 3.0.7.1-lp150.8.1
  • vlc-codec-gstreamer >= 3.0.7.1-lp150.8.1
  • vlc-codec-gstreamer-debuginfo >= 3.0.7.1-lp150.8.1
  • vlc-debuginfo >= 3.0.7.1-lp150.8.1
  • vlc-debugsource >= 3.0.7.1-lp150.8.1
  • vlc-devel >= 3.0.7.1-lp150.8.1
  • vlc-jack >= 3.0.7.1-lp150.8.1
  • vlc-jack-debuginfo >= 3.0.7.1-lp150.8.1
  • vlc-lang >= 3.0.7.1-lp150.8.1
  • vlc-noX >= 3.0.7.1-lp150.8.1
  • vlc-noX-debuginfo >= 3.0.7.1-lp150.8.1
  • vlc-qt >= 3.0.7.1-lp150.8.1
  • vlc-qt-debuginfo >= 3.0.7.1-lp150.8.1
  • vlc-vdpau >= 3.0.7.1-lp150.8.1
  • vlc-vdpau-debuginfo >= 3.0.7.1-lp150.8.1
Patchnames:
openSUSE-2019-1909
openSUSE Leap 15.1
  • libvlc5 >= 3.0.9.2-lp151.6.6.1
  • libvlc5-debuginfo >= 3.0.9.2-lp151.6.6.1
  • libvlccore9 >= 3.0.9.2-lp151.6.6.1
  • libvlccore9-debuginfo >= 3.0.9.2-lp151.6.6.1
  • vlc >= 3.0.9.2-lp151.6.6.1
  • vlc-codec-gstreamer >= 3.0.9.2-lp151.6.6.1
  • vlc-codec-gstreamer-debuginfo >= 3.0.9.2-lp151.6.6.1
  • vlc-debuginfo >= 3.0.9.2-lp151.6.6.1
  • vlc-debugsource >= 3.0.9.2-lp151.6.6.1
  • vlc-devel >= 3.0.9.2-lp151.6.6.1
  • vlc-jack >= 3.0.9.2-lp151.6.6.1
  • vlc-jack-debuginfo >= 3.0.9.2-lp151.6.6.1
  • vlc-lang >= 3.0.9.2-lp151.6.6.1
  • vlc-noX >= 3.0.9.2-lp151.6.6.1
  • vlc-noX-debuginfo >= 3.0.9.2-lp151.6.6.1
  • vlc-opencv >= 3.0.9.2-lp151.6.6.1
  • vlc-opencv-debuginfo >= 3.0.9.2-lp151.6.6.1
  • vlc-qt >= 3.0.9.2-lp151.6.6.1
  • vlc-qt-debuginfo >= 3.0.9.2-lp151.6.6.1
  • vlc-vdpau >= 3.0.9.2-lp151.6.6.1
  • vlc-vdpau-debuginfo >= 3.0.9.2-lp151.6.6.1
Patchnames:
openSUSE-2019-1840
openSUSE-2020-545